{% extends 'users/base.html' %}
{% load crispy_forms_tags %}
{% block title %}Create an Account{% endblock %}
{% block body %}
{% block content %}
<br>
<h2 align="center">Document Detail</h2>
<hr>
<form method="POST" class="form-group" style="margin-top: 5%;">
    {% csrf_token %}
    <div class="col-md-10 offset-md-4">
        <div class="col-6">
            {{ form|crispy }}

<!--            <p>ID - {{ object.id}}</p>-->
            <p>Owner - {{ object.owner }}</p>
            <p>Category - {{ object.category }}</p>
            <p>Name - {{ object.name }}</p>
            <p>Content  - {{ object.file }}</p>
            <p>Description  - {{ object.description }}</p>
            <p>Author  - {{ object.author }}</p>
            <p>Publishing Date - {{ object.upload_date }}</p>
            <hr>
            <div class="col-md-10 offset-md-3">
                <a class="btn btn-sm btn-primary" href="{% url 'doc_remove' document_id=object.id %}"><small>
            </small>Remove</a>
                <a class="btn btn-sm btn-primary" href="{% url 'doc_edit' document_id=object.id %}"><small>
            </small>Edit</a>

            </div>
        </div>
    </div>
</form>
{% endblock content %}
{% endblock body %}